diff options
author | Daniel Kahn Gillmor <dkg@fifthhorseman.net> | 2009-11-13 02:41:55 -0500 |
---|---|---|
committer | Daniel Kahn Gillmor <dkg@fifthhorseman.net> | 2009-11-13 02:41:55 -0500 |
commit | 933cb912d13c21ef628f1302723988753bc69e7b (patch) | |
tree | 83db24aca322146bdff5672144bff33040d64390 /di-maker | |
parent | 4c74e5346f55dfe5f22f0d8a25a3a712ff27b6cf (diff) | |
download | kvm-manager-933cb912d13c21ef628f1302723988753bc69e7b.tar.gz kvm-manager-933cb912d13c21ef628f1302723988753bc69e7b.tar.bz2 |
abstracted out some of the pieces of the d-i maker
Diffstat (limited to 'di-maker')
-rwxr-xr-x | di-maker | 7 |
1 files changed, 5 insertions, 2 deletions
@@ -12,6 +12,9 @@ set -e output="$1" +SUITE=${SUITE:-stable} +ARCH=${ARCH:-amd64} + if [ -z "$output" ] ; then printf "you must specify a file name for the image to be built" >&2 exit 1 @@ -31,7 +34,7 @@ cleanup() { trap cleanup EXIT -( cd "$WORKDIR" && wget http://ftp.nl.debian.org/debian/dists/lenny/main/installer-amd64/current/images/netboot/debian-installer/amd64/{linux,initrd.gz} ) +( cd "$WORKDIR" && wget http://ftp.nl.debian.org/debian/dists/"$SUITE"/main/installer-"$ARCH"/current/images/netboot/debian-installer/"$ARCH"/{linux,initrd.gz} ) mkdir -p "$WORKDIR/boot/grub" @@ -40,7 +43,7 @@ serial --unit=0 --speed=115200 --word=8 --parity=no --stop=1 terminal_output serial terminal_input serial -menuentry "lenny d-i (created $(date -R))" { +menuentry "$SUITE d-i (created $(date -R))" { linux /linux verbose -- console=ttyS0,115200n8 initrd /initrd.gz } |